## org.eclipse.datatools.sqltools.sqlbuilder.views.fullselect
Class FullSelectTableElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.fullselect.FullSelectTableElement

    public class FullSelectTableElement

extends java.lang.Object

Constructor Summary
`FullSelectTableElement(QueryExpressionBody query, QueryCombinedOperator opr, QueryCombined parentNode)`

Method Summary
`java.lang.String` `getColumnText(int columnIndex)`
`QueryExpressionBody` `getQuery()`
`void` `modify(java.lang.Object key, java.lang.Object propValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullSelectTableElement

    public FullSelectTableElement(QueryExpressionBody query,
                                  QueryCombinedOperator opr,
                                  QueryCombined parentNode)

Method Detail

### getQuery

    public QueryExpressionBody getQuery()

### getColumnText

    public java.lang.String getColumnText(int columnIndex)

### modify

    public void modify(java.lang.Object key,
                       java.lang.Object propValue)